Bug 615869 - Review Request: felix-shell - Apache Felix Shell Service
Review Request: felix-shell - Apache Felix Shell Service
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On: 615868
Blocks: 609142
  Show dependency treegraph
 
Reported: 2010-07-19 03:17 EDT by huwang
Modified: 2010-08-27 04:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-27 04:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 huwang 2010-07-25 23:49:41 EDT
Scratch build in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2350488
Comment 2 Stanislav Ochotnicky 2010-07-26 10:29:05 EDT
I'll review this one
Comment 3 Stanislav Ochotnicky 2010-07-26 11:39:36 EDT
NEEDSWORK: rpmlint must be run on every package. The output should be posted in the review.

felix-shell.noarch: W: non-conffile-in-etc /etc/maven/fragments/felix-shell
felix-shell.src: W: invalid-url Source0: org.apache.felix.shell-1.4.2.tar.bz2

Why are you not using source tarball released by upstream? That is
http://www.picvi.com/external/apache/felix/org.apache.felix.shell-1.4.2-project.tar.gz

If there is something wrong with it, provide explanation in the spec file.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
NEEDSWORK: All independent sub-packages have License of their own (if it exists)

according to new licensing guidelines,  sub-packages not depending on main
package should provide license files of their own. Your javadoc
subpackage doesn't have LICENSE

OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

As noted above please use upstream source release if possible or provide explanation why it's not possible

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

But I belive you can replace Source2 with actual BR on felix-parent.

OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content.
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
NEEDSWORK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

The package provides /usr/share/java/felix which is already provided
by its dependencies. Fix this.

OK: All filenames in rpm packages must be valid UTF-8.


Other:
 * you are providing felix-parent pom which I believe is already in
   repositories. Please remove felix-parent.pom from sources,

After you fix the issues mentioned I'll re-review this and we'll go from there...
Comment 5 Stanislav Ochotnicky 2010-07-30 09:59:22 EDT
Two more things:
1. Please just do:
Source0: http://www.picvi.com/external/apache/felix/org.apache.felix.shell-1.4.2-project.tar.gz


2. This is not needed at the end of %install section.
> rm -rf target/site/api*


After you fix these two issues I'll approve this package.
Comment 7 Stanislav Ochotnicky 2010-08-02 04:01:13 EDT
Package is good now. APPROVED.
Comment 8 huwang 2010-08-03 03:38:08 EDT
New Package CVS Request
=======================
Package Name: felix-shell
Short Description: Apache Felix Shell Service
Owners: huwang
Branches: 
InitialCC:
Comment 9 Kevin Fenzi 2010-08-03 13:51:12 EDT
GIT done (by process-git-requests).
Comment 10 Alexander Kurtakov 2010-08-25 14:53:23 EDT
huwang, 
Are you going to build it in rawhide anytime soon?

Note You need to log in before you can comment on or make changes to this bug.